"""
The different sources available to trigger a sweep
"""

from enum import Enum

class SweepTriggerSource(Enum):
    """The Source of the trigger for the sweep"""
    INTERNAL = 1
    """An Internal trigger signal, defined by htime_start, htime_stop"""
    EXTERNAL = 2
    """An external trigger signal"""
    MANUAL   = 3
    """A manual trigger set in code by the trigger function"""
